evbuffer_ptr(3)

NAME
evbuffer_ptr -

Pointer to a position within an evbuffer.

SYNOPSIS

#include <buffer.h>

  Data Fields
struct {
void * chain
size_t pos_in_chain
} _internal
ev_ssize_t pos

Detailed Description

Pointer to a position within an evbuffer. Used when repeatedly searching through a buffer. Calling any function that modifies or re-packs the buffer contents may invalidate all evbuffer_ptrs for that buffer. Do not modify these values except with evbuffer_ptr_set.

Author

Generated automatically by Doxygen for libevent from the source code.